backend:
  name: gitea
  repo: gribse/blog # Path to your Gitea repository
  app_id: 39e3a9e2-1bd0-41be-bc4c-7c7f7023b51b # The Client ID provided by Gitea
  api_root: https://git.achilletoupin.com/api/v1 # API URL of your Gitea instance
  base_url: https://git.achilletoupin.com/ # Root URL of your Gitea instance
  auth_endpoint: https://git.achilletoupin.com/login/oauth/authorize
  # optional, defaults to master
  branch: main

local_backend: true     # allows local editing via npx decap-cms-proxy-server

media_folder: "static/images/uploads"  # path in repo
public_folder: "/images/uploads"       # URL path


collections:
  - name: "blog"
    label: "Blog"
    folder: "content/blog"
    create: true
    slug: "{{title}}/index"
    nested:
      depth: 2
      summary: "{{title}}"
    filter:
      field: "path"
      pattern: ".*?/index.md"
    fields:
      - { name: "title", label: "Title", widget: "string" }
      - { name: "date", label: "Date", widget: "datetime" }
      - { name: "draft", label: "Draft", widget: "boolean", default: true }
      - { name: "ShowToc", label: "Show TOC", widget: "boolean", default: true }
      - { name: "ShowBreadCrumbs", label: "Show Breadcrumbs", widget: "boolean", default: true }
      - { name: "ShowPostNavLinks", label: "Show Post Nav Links", widget: "boolean", default: true }
      - { name: "ShowReadingTime", label: "Show Reading Time", widget: "boolean", default: true }
      - { name: "body", label: "Body", widget: "markdown" }